View Issue Details

IDProjectCategoryView StatusLast Update
0001659SymmetricDS ProBugpublic2014-06-16 20:26
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.6.0 
Target Version3.6.0Fixed in Version3.6.0 
Summary0001659: Manage->Nodes screen shows offline
DescriptionThe Manage->Nodes screen can show nodes as offline even when their heartbeat is up to date. If the user moves the node so that its hostname or timezone offset changes, there will be two entries in the sym_node_host table for the same node_id. The NodeService.findOfflineNodeIds() runs the "findNodeHeartbeatsSql" query, which does not expect multiple rows to return.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 4f1c5a6b

2014-04-01 17:00:17

erilong

Details Diff
0001659: Manage->Nodes screen shows offline
0001659
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeServiceSqlMap.java Diff File

SymmetricDS: master cc499815

2014-04-03 16:55:50

erilong

Details Diff
0001659: Manage->Nodes screen shows offline - fix group by in sql
0001659
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeServiceSqlMap.java Diff File

Issue History

Date Modified Username Field Change
2014-04-01 16:20 elong New Issue
2014-04-01 16:20 elong Status new => assigned
2014-04-01 16:20 elong Assigned To => elong
2014-04-01 17:01 elong Status assigned => resolved
2014-04-01 17:01 elong Fixed in Version => 3.6.0
2014-04-01 17:01 elong Resolution open => fixed
2014-04-01 18:00 Changeset attached => SymmetricDS trunk r8124
2014-04-03 17:00 Changeset attached => SymmetricDS trunk r8127
2014-06-16 20:26 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master cc499815
2015-07-30 21:49 Changeset attached => SymmetricDS master 4f1c5a6b